cups-lpd(8)

NOME
cups-lpd - recebe trabalhos de impressão e reporta estado da impressora para clientes lpd (descontinuado)

RESUMO
cups-lpd [ -h hostname[:port] ] [ -n ] [ -o option=value ]

DESCRIÇÃO
cups-lpd é o Line Printer Daemon ("LPD") do CUPS um mini-servidor que suporta sistemas legados de clientes que usam o protocolo LPD. cups-lpd não actua como um daemon de rede solitário mas em vez disso opera usando qualquer um dos "super-servidores" de Internet como inetd(8), launchd(8), e systemd(8).

OPÇÕES

-h hostname[:port]
    Define o servidor (e porto) CUPS a usar.

-n  Desactiva pesquisas de endereço reversas; normalmente o cups-lpd irá tentar descobrir o nome de máquina do cliente via pesquisa DNS reversa.

-o name=value
    Insere opções para todas as filas de impressão. Muitas vezes isto é usado para desactivar o filtro "l" para que os trabalhos de impressão remotos sejam filtrados como necessário para impressão; o exemplo do inetd(8) em cima define a opção "document-format" para "application/octet-stream" o que força a auto-detecção do formato do ficheiro de impressão.

DE ACORDO COM
cups-lpd não reforça o número de porto restringido especificado em RFC 1179, pois usar portos restringidos não previne utilizadores de submeterem trabalhos de impressão. Apesar deste comportamento ser diferente da implementação Berkeley LPD standard, não afecta as operações normais de cliente.

O resultado dos pedidos de estado segue RFC 2569, mapeando entre protocolos LPD e IPP. Como muitas implementações de LPD desviam-se desta definição, o reportar de estados remotos para clientes LPD pode não ser confiável.

ERROS
Os erros são enviados para o log do sistema.

FICHEIROS
/etc/inetd.conf
/etc/xinetd.d/cups-lpd
/System/Library/LaunchDaemons/org.cups.cups-lpd.plist

NOTAS
O programa cups-lpd está descontinuado e não será mais suportado num lançamento futuro do CUPS.

  PERFORMANCE
cups-lpd tem bom desempenho com pequenos números de clientes e impressoras. No entanto, como um novo processo é criado para cada ligação e como cada processo tem que consultar o sistema de impressão antes de submeter cada trabalho, não se enquadra bem em grandes configurações. Em vez disto, nós recomendamos fortemente que as grandes configurações usem o suporte IPP nativo fornecido pelo CUPS.

  SEGURANÇA
Actualmente o cups-lpd não executa nenhum controle de acesso baseado nas definições em cupsd.conf(5) ou nos ficheiros hosts.allow(5) ou hosts.deny(5) usado pelos invólucros TCP. Assim, correr o cups-lpd no seu servidos irá permitir a qualquer computador na sua rede (e talvez em toda a Internet) imprimir no seu servidor.

Apesar do xinetd(8) ter suporte a controlo de acesso embutido, você deve usar o pacote de invólucros TCP com inetd(8) para limitar o acesso apenas aos computadores que deverão ser capazes de imprimir através do seu servidor.

cups-lpd não fica activo pela distribuição de CUPS standard. Por favor consulte o seu fornecedor de sistema operativo para determinar se está activado por predefinição no seu sistema.

EXEMPLO
Se você está a usar inetd(8), adicione a seguinte linha no ficheiro inetd.conf para activar o mini-servidor cups-lpd:

    printer stream tcp nowait lp /usr/lib/cups/daemon/cups-lpd cups-lpd \
        -o document-format=application/octet-stream

O CUPS inclui ficheiros de configuração para launchd(8), systemd(8), e xinetd(8). Simplesmente active o serviço cups-lpd usando o programa de controle correspondente.

VEJA TAMBÉM
cups(1), cupsd(8), inetd(8), launchd(8), xinetd(8), Ajuda Online do CUPS (http://localhost:631/help), RFC 2569

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.